Skip to main content
GET
/
platform
/
appdev
/
apppackages
/
collection
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "appId": "<string>",
      "appKey": "<string>",
      "appSchemeVersion": 123,
      "applicationId": 123,
      "applicationNamespace": "<string>",
      "applicationStatusId": 123,
      "applicationStatusName": "<string>",
      "applicationTypeId": 123,
      "applicationVersion": {
        "majorVersion": 123,
        "minorVersion": 123,
        "revision": 123
      },
      "hasV2Credentials": true,
      "hasVersions": true,
      "name": "<string>",
      "parentAppKey": "<string>",
      "parentName": "<string>",
      "releasePackageId": 123,
      "releasePackageName": "<string>",
      "updateAvailable": true,
      "updateParentAppKey": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

startIndex
integer<int32>
default:0
pageSize
integer<int32>
default:20
sortBy
string
filter
string
responseFields
string

limits which fields are returned in the response body

Response

OK

Collection of products returned as a whole. A collection is not paged.

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>